Adds an alternate name to a key document

- « MongoDB\Driver\ClientEncryption

- MongoDB\Driver\ClientEncryption::__construct »

- PHP Manual
- MongoDB\Driver\ClientEncryption
- Adds an alternate name to a key document

# MongoDB\Driver\ClientEncryption::addKeyAltName

(mongodb >=1.15.0)

MongoDB\Driver\ClientEncryption::addKeyAltName — Adds an alternate name to a key document

### Description

final public MongoDB\Driver\ClientEncryption::addKeyAltName(MongoDB\BSON\Binary `$keyId`, string `$keyAltName`): ?object

Adds `keyAltName` to the set of alternate names for the key document with the given UUID `keyId`.

### Parameters

`keyId`

  A MongoDB\BSON\Binary instance with subtype 4 (UUID) identifying the key document.

`keyAltName`

  Alternate name to add to the key document.

### Return Values

Returns the previous version of the key document, or `null` if no document matched.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\ConnectionException if connection to the server fails (for reasons other than authentication).
- Throws MongoDB\Driver\Exception\AuthenticationException if authentication is needed and fails.
- Throws MongoDB\Driver\Exception\RuntimeException on other errors.

### See Also

- MongoDB\Driver\ClientEncryption::getKeyByAltName() - Gets a key document by an alternate name
- MongoDB\Driver\ClientEncryption::removeKeyAltName() - Removes an alternate name from a key document